Skip to content

Retrieve all metadata from a document type, including all of its subtypes (when available).

GET/api/{version}/metadata/objects/documents/types/{type}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{type}The document type. See Retrieve Document Types.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c
{ "responseStatus": "SUCCESS", "name": "promotional_piece__c", "label": "Promotional Piece", "properties": [ { "name": "id", "type": "id", "required": true, "maxLength": 20, "minValue": 0, "maxValue": 9223372036854775807, "repeating": false, "systemAttribute": true, "editable": false, "setOnCreateOnly": true, "disabled": false, "hidden": true, "queryable": true, "facetable": false } ], "renditions": [ "viewable_rendition__v", "production_proof__c", "distribution_package__c", "imported_rendition__c", "veeva_distribution_package__c" ], "relationshipTypes": [ { "label": "CrossLink Latest Bindings", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/relationships" }, { "label": "CrossLink Latest Steady State Bindings", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/relationships" }, { "label": "Linked Documents", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/relationships" }, { "label": "Based on", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/relationships" } ], "templates": [ { "label": "ANSM Submission", "name": "ansm_submission__c", "kind": "binder", "definedIn": "promotional_piece__c", "definedInType": "type" } ], "availableLifecycles": [ { "name": "promotional_piece__c", "label": "Promotional Piece" } ], "subtypes": [ { "label": "Advertisement", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/subtypes/advertisement__c" }, { "label": "Direct Mail", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/subtypes/direct_mail__c" }, { "label": "Formulary Announcement", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/subtypes/formulary_announcement__c" }, { "label": "Internal Communication", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/subtypes/internal_communication__c" }, { "label": "Managed Markets Program", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/subtypes/managed_markets_program__c" }, { "label": "Healthcare Practitioner Resources", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/subtypes/healthcare_practitioner_resources__c" }, { "label": "Convention Item", "value": "https://promomats-veevapharm.veevavault.com/api/v23.1/metadata/objects/documents/types/promotional_piece__c/subtypes/convention_item__c" } ] }

The response includes all metadata for the document specified type. If the type contains subtypes in the document type hierarchy, the list of subtypes and the URLs pointing to their metadata will be included in the response. The list of document fields defined for the specified type are also included in the response.

Each document type may include some or all of the following fields: